struct rio_device_id
Prev | Structures | Next

## Name

struct rio_device_id — RIO device identifier

## Synopsis

    struct rio_device_id {
      u16 did;
      u16 vid;
      u16 asm_did;
      u16 asm_vid;
    };

## Members

did

  RIO device ID

vid

  RIO vendor ID

asm_did

  RIO assembly device ID

asm_vid

  RIO assembly vendor ID

## Description

Identifies a RIO device based on both the device/vendor IDs and the assembly device/vendor IDs.

Prev | Up | Next
struct rio_driver | Home | struct rio_route_ops